-----------------------------------------------------------------------------
--
--  File     :  /4DC_v0.8/hook/units/XSB2108/XSB2108_script.lua
--
--  Author(s):  Resin_Smoker
--
--  Special Thanks: Mithy, Bulletmagnet
--
--  Summary  : Seraphim Tactical Missile Launcher Script 
--             Modded for Re-Targeting,
--             smoother turning missiles &
--             child projectile creation
--
--  Copyright © 2011 4DC_V0.8  All rights reserved.
-----------------------------------------------------------------------------

local SStructureUnit = import('/lua/seraphimunits.lua').SStructureUnit
local SLaanseMissileWeapon = import('/lua/seraphimweapons.lua').SLaanseMissileWeapon

XSB2108 = Class(SStructureUnit) {
    Weapons = {
        CruiseMissile = Class(SLaanseMissileWeapon) {},
    },      
}
TypeClass = XSB2108